Update Resident: RealPage
https://api.propexo.com/v1/residents/realpage/:id| Interface | Method |
|---|---|
| Resident Service ODE | UpdateOccupant |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo ID associated with this resident
Request
This endpoint expects an object.
The last name of the resident.
Possible values: <= 30 characters
The first name of the resident.
Possible values: <= 30 characters
The middle name of the resident.
Possible values: <= 30 characters
The primary email address for the resident.
Street address for the resident.
Street address for the resident.
City of the resident's primary address
State of the resident's primary address
Zip/Postal Code of the resident's primary address
Country of the resident's primary address
Response
Successful response
meta objectrequired
result objectrequired
The Propexo ID associated with this resident
The last name of the resident.
Possible values: <= 30 characters
The first name of the resident.
Possible values: <= 30 characters
The middle name of the resident.
Possible values: <= 30 characters
The primary email address for the resident.
Street address for the resident.
Street address for the resident.
City of the resident's primary address
State of the resident's primary address
Zip/Postal Code of the resident's primary address
Country of the resident's primary address
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/residents/realpage/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}
}